Skip to main content

โฌ Download

You can call this endpoint to download the GreenCloud Command Line Interface (gccli).

Getโ€‹

info

This will redirect you to the correct link to download the CLI.

Caution

On Windows machines you will need to place the gccli.exe file in the windows/system32 folder.

On Linux and OSX machines you will need to convert the file into a executable. Use the CHMOD command to achieve this :-

chmod +x gccli-0.5.2-darwin-amd64

See installing the CLI within the guide section for more information.

Endpointโ€‹

GET
https://api.greencloud.dev/v1/download/cli
https://api.greencloud.dev/v1/download/cli

Request Headersโ€‹

KeyValueRequired
AuthorizationValid Access Tokentrue

Request Parametersโ€‹

KeyExampleRequirements
os"windows"required string oneof darwin linux windows
arch"amd64"required string oneof amd64 arm64

Example Requestโ€‹

GET
https://api.greencloud.dev/v1/download/cli?os=linux&arch=amd64
https://api.greencloud.dev/v1/download/cli?os=linux&arch=amd64

Example Responseโ€‹

Status: 302 Redirect to Object Storage
    empty body